#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	pycrypto

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Cryptography library for Python
Name:		python%{PVER}-%{original_name}
Version:	2.0.1
Release:	3
License:	Public Domain
Group:		Development/Libraries
URL:		http://www.amk.ca/python/code/crypto.html
Source:		http://www.amk.ca/files/python/crypto/%{original_name}-2.0.1.tar.gz
Patch260:	pycrypto-2.0.1-ccux.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	gmp-devel >= 4.1
Provides:	pycrypto = %{version}-%{release}
Provides:	python-crypto = %{version}-%{release}
Obsoletes:	pycrypto <= %{version}-%{release}
Obsoletes:	python-crypto <= %{version}-%{release}
Obsoletes:	python25-pycrypto <= %{version}-%{release}

%description
Python-crypto is a collection of both secure hash functions (such as MD5 and
SHA), and various encryption algorithms (AES, DES, IDEA, RSA, ElGamal,
etc.).

%prep
%setup -q -n %{original_name}-%{version}
sed -i s:/lib:/%_lib:g setup.py

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/env python" -e "^#!/usr/local/bin/python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/local/bin/python,#!/usr/bin/python%{PYVER}," $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc README TODO ACKS ChangeLog LICENSE Doc
%{python_sitelib}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.0.1-3
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 2.0.1-2
- rebuild against python25-2.5.4-3
* Wed Dec 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.1-1
- Initial release